package org.processmining.logenhancement.filtering;

import org.deckfour.xes.model.XAttributable;
import org.deckfour.xes.model.XAttribute;
import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.Progress;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginCategory;
import org.processmining.logenhancement.filtering.attributes.AttributeEditor;
import org.processmining.logenhancement.filtering.attributes.AttributeFilterByEnum;
import org.processmining.logenhancement.filtering.attributes.LogAdapter;
import org.processmining.logenhancement.filtering.attributes.XAttributeEditor;

/**
 * Removes all "additional" attributes except for the "concept:name", "time:
 * 
 * @author F. Mannhardt
 * 
 */
public class RemoveEmptyFromAttributesPlugin {

	private Progress progBar;

	@Plugin(name = "Remove all attributes with value \"\" (empty) (In Place)", parameterLabels = { "Event Log" }, //
			categories = { PluginCategory.Filtering },
	returnLabels = { }, returnTypes = {  }, userAccessible = true, mostSignificantResult = -1)
	@UITopiaVariant(affiliation = UITopiaVariant.EHV, author = " F. Mannhardt", email = "f.mannhardt@tue.nl")
	public void removeNotSetFromAttributes(PluginContext context, XLog log) {

		progBar = context.getProgress();
		progBar.setMinimum(0);
		progBar.setMaximum(log.size());
		progBar.setValue(0);

		AttributeEditor attributeFilter = new AttributeEditor(progBar, new LogAdapter(log, null),
				AttributeFilterByEnum.ATTRIBUTE_VALUE, null, "", new XAttributeEditor() {
					
					public boolean shouldRemoveAttribute() {
						return true;
					}
					
					public XAttribute editAttribute(XAttribute attribute) {
						return attribute;
					}

					public void addAttributes(XAttributable e) {
					}
					
				});
		attributeFilter.processLog();
	}

}
