package org.processmining.logenhancement.merge.alignmentbased;

import java.util.Date;

import org.deckfour.xes.model.XEvent;
import org.processmining.plugins.balancedconformance.dataflow.datastate.DataState;

import com.google.common.collect.ComparisonChain;

final class ComparisonEventEntry implements EventEntry {

	private Date time;
	private final int index;

	ComparisonEventEntry(int index) {
		super();
		this.index = index;
	}

	public int compareTo(EventEntry o) {
		return ComparisonChain.start().compare(time, o.getDate()).compare(index, o.getEventIndex()).result();
	}

	public Date getDate() {
		return time;
	}

	public void setDate(Date time) {
		this.time = time;
	}

	public int getEventIndex() {
		return index;
	}

	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + index;
		return result;
	}

	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ComparisonEventEntry other = (ComparisonEventEntry) obj;
		if (index != other.index)
			return false;
		return true;
	}

	public DataState getAttributes() {
		return null;
	}

	public XEvent getEvent() {
		return null;
	}

}