package org.processmining.logenhancement.merge.alignmentbased;

import gnu.trove.map.TIntObjectMap;

import org.deckfour.xes.model.XTrace;
import org.processmining.plugins.DataConformance.Alignment;

public class LogEnhancementResultImpl implements LogEnhancementResult {

	private Alignment alignment;
	private XTrace masterTrace;
	private XTrace mergedTrace;	
	private TIntObjectMap<EventEntry> mergedEvents;

	public int hashCode() {
		return mergedTrace.hashCode();
	}

	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		LogEnhancementResultImpl other = (LogEnhancementResultImpl) obj;
		return mergedTrace.equals(other.mergedTrace);
	}

	/* (non-Javadoc)
	 * @see org.processmining.plugins.fm.project4.IAlignmentBasedMergeResult#getAlignment()
	 */
	@Override
	public Alignment getAlignment() {
		return alignment;
	}

	public void setAlignment(Alignment alignment) {
		this.alignment = alignment;
	}

	/* (non-Javadoc)
	 * @see org.processmining.plugins.fm.project4.IAlignmentBasedMergeResult#getMergedTrace()
	 */
	@Override
	public XTrace getMergedTrace() {
		return mergedTrace;
	}

	public void setMergedTrace(XTrace mergedTrace) {
		this.mergedTrace = mergedTrace;
	}

	/* (non-Javadoc)
	 * @see org.processmining.plugins.fm.project4.IAlignmentBasedMergeResult#getMergedEvents()
	 */
	@Override
	public TIntObjectMap<EventEntry> getMergedEvents() {
		return mergedEvents;
	}

	public void setMergedEvents(TIntObjectMap<EventEntry> mergedEvents) {
		this.mergedEvents = mergedEvents;
	}

	public XTrace getMasterTrace() {
		return masterTrace;
	}

	public void setMasterTrace(XTrace masterTrace) {
		this.masterTrace = masterTrace;
	}

}