package org.processmining.logenhancement.merge.alignmentbased;

import java.util.Map;

import org.deckfour.xes.classification.XEventClassifier;
import org.processmining.plugins.balancedconformance.config.BalancedProcessorConfiguration;
import org.processmining.plugins.connectionfactories.logpetrinet.TransEvClassMapping;

public class MergeConfiguration {

	/**
	 * Configuration of the Data Conformance Checker
	 */
	public BalancedProcessorConfiguration conformanceConfig;

	/**
	 * Classifier chosen by user
	 */
	public XEventClassifier eventClassifier;

	/**
	 * Mapping between extra events and DPN transitions
	 */
	public TransEvClassMapping extraEventsMapping;

	/**
	 * Mapping between attributes of the extra events (plus the main events)
	 * and DPN variables
	 */
	public Map<String, String> extraVariablesMapping;

	long startDateLimit = 1000l * 60l * 60l * 24l * 180l;

	long endDateLimit = 1000l * 60l * 60l * 24l * 180l;

	/**
	 * Start value for the 'maxMatches' parameter in the retry phase
	 */
	public int maxMatchesFirstRound = 1;

	/**
	 * Limit value for the 'maxMatches' parameter in the retry phase
	 */
	public int maxMatchesLimit = 512;
}