package org.processmining.logenhancement.merge.alignmentbased;

import java.util.NavigableSet;
import java.util.Set;

import org.deckfour.xes.info.XLogInfo;
import org.deckfour.xes.model.XEvent;
import org.deckfour.xes.model.XLog;
import org.deckfour.xes.model.XTrace;
import org.processmining.models.graphbased.directed.petrinetwithdata.newImpl.PetriNetWithData;
import org.processmining.plugins.DataConformance.Alignment;
import org.processmining.plugins.balancedconformance.result.BalancedReplayResult;
import org.processmining.plugins.balancedconformance.result.DataAlignedTrace;

public interface MergeObserver {

	void processingLog(XLog masterLog, XLogInfo masterLogInfo, Set<XEvent> availableEvents, MergeConfiguration config);

	void startingAlignmentPhase(PetriNetWithData net, XLog masterLog);

	void receivedAlignment(XTrace masterTrace, XTrace enrichedTrace, DataAlignedTrace dataAlignment);

	void finishedAlignmentPhase(PetriNetWithData net, XLog masterLog, BalancedReplayResult replayResult);
	
	void startMergeRound(int round, int currentMatchLimit, NavigableSet<Alignment> resultSet, int retrySetSize, Set<XEvent> eventSet);

	void mergedTrace(LogEnhancementResult mergeResult);

	void finishedMergeLog(XLog masterLog, XLog mergedLog);

	void log(String message, Object... args);

	void log(String message, Throwable e);

	void debug(String msg, Object... args);

}