package org.processmining.logenhancement.utils;

import java.util.List;

import org.deckfour.xes.classification.XEventClassifier;
import org.deckfour.xes.classification.XEventNameClassifier;
import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.framework.util.ui.widgets.helper.ProMUIHelper;
import org.processmining.framework.util.ui.widgets.helper.UserCancelledException;

public final class LogEnhancementHelper {

	private LogEnhancementHelper() {
	}

	public static XEventClassifier queryEventClassifier(UIPluginContext context, XLog log)
			throws UserCancelledException {
		List<XEventClassifier> classifiers = log.getClassifiers();
		if (classifiers.isEmpty()) {
			classifiers.add(new XEventNameClassifier());
		}
		if (classifiers.size() > 1) {
			return ProMUIHelper.queryForObject(context, "Select Event Classifier", classifiers);	
		} else {
			return classifiers.get(0);
		}
	}

}
