package org.processmining.logenhancement.view;

import org.deckfour.xes.classification.XEventClasses;
import org.deckfour.xes.model.XTrace;

interface ColoringMode {

	public final static ColoringMode EVENTCLASS = new ColoringMode() {

		public String getName() {
			return "Color by Event Class";
		}

		public EventColoring createColoring(Iterable<XTrace> traces, XEventClasses eventClasses) {
			return new EventColoringByClass(eventClasses);
		}
		
		public String toString() {
			return getName();
		}
		
	};

	public final static ColoringMode NONE = new ColoringMode() {

		public String getName() {
			return "No Color";
		}

		public EventColoring createColoring(Iterable<XTrace> traces, XEventClasses eventClasses) {
			return new EventColoringWhite();
		}

		public String toString() {
			return getName();
		}
		
	};

	EventColoring createColoring(Iterable<XTrace> traces, XEventClasses eventClasses);

	String getName();

}