package org.processmining.logenhancement.view;

import java.awt.Color;
import java.util.Map;

import org.deckfour.xes.classification.XEventClass;
import org.deckfour.xes.classification.XEventClasses;
import org.deckfour.xes.model.XEvent;

public final class EventColoringByClass implements EventColoring {

	private final XEventClasses eventClasses;
	private final Map<XEventClass, Color> eventColorMap;

	public EventColoringByClass(XEventClasses eventClasses) {
		this.eventClasses = eventClasses;
		this.eventColorMap = LogViewVisualizer.createColorMap(eventClasses);
	}

	public Color getColor(XEvent event) {
		return eventColorMap.get(eventClasses.getClassOf(event));
	}

}