package org.processmining.logenhancement.view;

import java.io.IOException;

import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.filechooser.FileNameExtensionFilter;

import org.deckfour.xes.extension.std.XConceptExtension;
import org.deckfour.xes.model.XLog;
import org.processmining.log.utils.XUtils;

import com.google.common.base.Throwables;

public class LogViewContextStandalone extends LogViewContextAbstract {

	private JFrame parentFrame;

	public LogViewContextStandalone(JFrame parentFrame) {
		this.parentFrame = parentFrame;
	}

	@Override
	public void exportLog(XLog log) {

		JFileChooser chooser = new JFileChooser();
		chooser.setFileFilter(new FileNameExtensionFilter("Compressed XES files", "xes.gz"));

		int result = chooser.showSaveDialog(parentFrame);

		XConceptExtension.instance().assignName(log, chooser.getSelectedFile().getName());
		if (result == JFileChooser.APPROVE_OPTION) {
			try {
				XUtils.saveLogGzip(log, chooser.getSelectedFile());
			} catch (IOException e) {
				JOptionPane.showConfirmDialog(parentFrame,
						"Could not save XLog: " + e.toString() + "\n\n" + Throwables.getStackTraceAsString(e),
						"Could not save XLog", JOptionPane.OK_CANCEL_OPTION, JOptionPane.ERROR_MESSAGE);
			}
		}

	}

	public boolean isCancelled() {
		return false;
	}
}
