package org.processmining.logenhancement.view;

import javax.swing.JComponent;

import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;
import org.processmining.framework.plugin.annotations.PluginVariant;

public class LogViewPlugin {

	@Plugin(name = "Explore Event Log (Trace Variants / Searchable / Sortable)", level = PluginLevel.PeerReviewed, //
			returnLabels = { "Log Variants Visualization" }, returnTypes = { JComponent.class }, //
			userAccessible = true, parameterLabels = { "Log" })
	@Visualizer
	@PluginVariant(requiredParameterLabels = { 0 })
	@UITopiaVariant(pack = "LogEnhancement", affiliation = UITopiaVariant.EHV, author = "F. Mannhardt", email = "f.mannhardt@tue.nl")
	public JComponent visualise(final PluginContext context, final XLog log) {
		return new LogViewVisualizer(new LogViewContextProM(context), log);
	}

}
