package org.processmining.logenhancement.view;

import java.util.Iterator;

import org.deckfour.xes.model.XEvent;
import org.deckfour.xes.model.XTrace;
import org.processmining.framework.util.ui.widgets.traceview.ProMTraceView.Event;

import com.google.common.base.Function;
import com.google.common.collect.Iterators;

final class XESTraceColored extends XESTrace {

	private final XTrace trace;
	private final LogViewModel logViewModel;

	public XESTraceColored(XTrace trace, LogViewModel logViewModel) {
		super(trace, logViewModel.getEventClasses().getClassifier());
		this.trace = trace;
		this.logViewModel = logViewModel;
	}

	public Iterator<Event> iterator() {
		return Iterators.transform(trace.iterator(), new Function<XEvent, Event>() {

			public Event apply(XEvent e) {
				return createXESEvent(e, logViewModel.getColoring().getColor(e));
			}
		});
	}

}
