package org.processmining.logenhancement.view;

import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;

import org.deckfour.xes.classification.XEventNameClassifier;
import org.deckfour.xes.model.XTrace;
import org.processmining.framework.util.ui.widgets.traceview.ProMTraceList;
import org.processmining.framework.util.ui.widgets.traceview.ProMTraceView.Event;
import org.processmining.framework.util.ui.widgets.traceview.ProMTraceView.Trace;

/**
 * A {@link ProMTraceList} for {@link XTrace}.
 * 
 * @author F. Mannhardt
 *
 */
public class XTraceListView extends ProMTraceList<XTrace> {

	private static final TraceBuilder<XTrace> TRACE_BUILDER = new TraceBuilder<XTrace>() {
		public Trace<? extends Event> build(XTrace trace) {
			return new XESTrace(trace, new XEventNameClassifier());
		}
	};

	private static final long serialVersionUID = -9140523650068735819L;

	public XTraceListView() {
		this(Collections.<XTrace>emptyList(), null, null);
	}

	public XTraceListView(Collection<XTrace> traces) {
		this(traces, null, null);
	}

	public XTraceListView(Collection<XTrace> traces, TraceBuilder<XTrace> traceBuilder) {
		this(traces, traceBuilder, null);
	}

	public XTraceListView(Collection<XTrace> traces, Comparator<XTrace> order) {
		this(traces, TRACE_BUILDER, order);
	}

	public XTraceListView(Collection<XTrace> traces, TraceBuilder<XTrace> traceBuilder, Comparator<XTrace> order) {
		super(traces, traceBuilder, order);
	}

}
